%global modname fmn.consumer

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 %{__python}}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:               python-fmn-consumer
Version:            1.0.3
Release:            1%{?dist}
Summary:            Backend worker daemon for Fedora Notifications

Group:              Development/Libraries
License:            LGPLv2+
URL:                http://pypi.python.org/pypi/fmn.consumer
Source0:            http://pypi.python.org/packages/source/f/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      systemd
BuildRequires:      systemd-devel
BuildRequires:      python2-devel
BuildRequires:      python-setuptools
BuildRequires:      python-nose

BuildRequires:      fedmsg
#BuildRequires:      python-twisted-words
BuildRequires:      python-fmn-lib
BuildRequires:      python-requests
BuildRequires:      python-arrow
BuildRequires:      python-bleach

Requires:           fedmsg
Requires:           python-twisted-words
Requires:           python-fmn-lib
Requires:           python-requests
Requires:           python-arrow
Requires:           python-bleach
Requires:           python-pika
Requires:           python-redis

Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd

%description
fmn is a family of systems to manage end-user notifications triggered by
fedmsg, the Fedora FEDerated MESsage bus.

This module contains the backend worker daemon for Fedora Notifications.

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

# Install the systemd files
mkdir -p $RPM_BUILD_ROOT/%{_unitdir}
install -m 644 systemd/fmn-backend@.service \
    $RPM_BUILD_ROOT/%{_unitdir}/fmn-backend@.service
install -m 644 systemd/fmn-worker@.service \
    $RPM_BUILD_ROOT/%{_unitdir}/fmn-worker@.service

# Tests require python-twisted-words
#%check
#%{__python2} setup.py test

%files
%doc README.rst COPYING COPYING.LESSER CHANGELOG.rst
%{python2_sitelib}/fmn/consumer/
%{python2_sitelib}/%{modname}-%{version}*
%{_unitdir}/fmn-worker@.service
%{_unitdir}/fmn-backend@.service

%changelog
* Wed Jul 27 2016 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0.3-1
- Update to 1.0.3

* Mon Jul 25 2016 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0.2-1
- Update to 1.0.2

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Jul 18 2016 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0.1-3
- Add missing deps on python-redis

* Mon Jul 18 2016 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0.1-2
- Add systemd as BR

* Mon Jul 18 2016 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0.1-1
- Update to 1.0.1
- Install the systemd service files

* Fri Jul 15 2016 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0.0-2
- Add missing Requires on python-pika

* Fri Jul 15 2016 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0.0-1
- Update to 1.0.0

* Wed Mar 02 2016 Ralph Bean <rbean@redhat.com> - 0.8.1-1
- new version

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct 01 2015 Ralph Bean <rbean@redhat.com> - 0.6.3-1
- new version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed May 06 2015 Ralph Bean <rbean@redhat.com> - 0.6.2-1
- new version

* Tue May 05 2015 Ralph Bean <rbean@redhat.com> - 0.6.1-1
- new version

* Sun May 03 2015 Ralph Bean <rbean@redhat.com> - 0.6.0-2
- Add new req on python-bleach.

* Sun May 03 2015 Ralph Bean <rbean@redhat.com> - 0.6.0-1
- new version

* Thu Mar 26 2015 Ralph Bean <rbean@redhat.com> - 0.5.2-1
- new version

* Wed Mar 25 2015 Ralph Bean <rbean@redhat.com> - 0.5.1-1
- new version

* Tue Mar 24 2015 Ralph Bean <rbean@redhat.com> - 0.5.0-1
- new version

* Thu Feb 12 2015 Ralph Bean <rbean@redhat.com> - 0.4.5-1
- new version
- Remove randomize patch, now included upstream.

* Fri Jan 23 2015 Ralph Bean <rbean@redhat.com> - 0.4.4-5
- Back out that multiproc patch.

* Thu Jan 22 2015 Ralph Bean <rbean@redhat.com> - 0.4.4-4
- Update patch to delete logging dict for fedora-infra.

* Thu Jan 22 2015 Ralph Bean <rbean@redhat.com> - 0.4.4-3
- Use multiproc pool for recipients calculation.
- Temporarily disable test suite for this release.

* Wed Jan 21 2015 Ralph Bean <rbean@redhat.com> - 0.4.4-2
- Randomize preference order before calculating recipients.

* Fri Jan 16 2015 Ralph Bean <rbean@redhat.com> - 0.4.4-1
- new version

* Wed Jan 14 2015 Ralph Bean <rbean@redhat.com> - 0.4.3-1
- Latest upstream.

* Mon Jan 12 2015 Ralph Bean <rbean@redhat.com> - 0.4.1-1
- Latest upstream.

* Thu Oct 02 2014 Ralph Bean <rbean@redhat.com> - 0.3.1-1
- Bugfixes to character encodings in email.
- Bugfix to timestamp construction in irc messages.

* Mon Sep 15 2014 Ralph Bean <rbean@redhat.com> - 0.3.0-1
- Nip time deltas from the future.  They are due to clock skew.
- Make new users active by default.
- Lock the cache on preference update.
- Allow group maintainers of packages.

* Wed Jul 23 2014 Ralph Bean <rbean@redhat.com> - 0.2.7-1
- Latest upstream with a typofix to 0.2.6.

* Wed Jul 23 2014 Ralph Bean <rbean@redhat.com> - 0.2.6-1
- Latest upstream.

* Wed Jun 11 2014 Ralph Bean <rbean@redhat.com> - 0.2.5-1
- Latest upstream.
- Switches caching mechanism back to user-centric.
- Attempts to invalidate cache more intelligently.

* Tue Jun 10 2014 Ralph Bean <rbean@redhat.com> - 0.2.4-2
- Require python-twisted-words.

* Tue Jun 10 2014 Ralph Bean <rbean@redhat.com> - 0.2.4-1
- Latest upstream.
- Add dep on python-arrow.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 27 2014 Ralph Bean <rbean@redhat.com> - 0.2.3-1
- Upstream release.

* Mon Jan 27 2014 Ralph Bean <rbean@redhat.com> - 0.2.2-1
- Upstream release with android enhancements.

* Thu Jan 23 2014 Ralph Bean <rbean@redhat.com> - 0.2.1-1
- Upstream release with a cosmetic tweak.

* Wed Jan 22 2014 Ralph Bean <rbean@redhat.com> - 0.2.0-1
- Upstream release

* Tue Dec 03 2013 Ralph Bean <rbean@redhat.com> - 0.1.3-1
- initial package for Fedora
